POST Agents/AI/TrainCategoryGuesser
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/AI/TrainCategoryGuesser
The category guesser training API will be called with an array of CategorizationTrainingItem during the (background, Batch) execution of this call
NsApiSlow threshold: 2000 ms.
Experimental: ## The AI agent is experimental, subject to change, and not intended for partners.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/AI/TrainCategoryGuesser?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
SelectionId, MaxItems, MaxTextLength
| Property Name | Type | Description |
|---|---|---|
| SelectionId | Integer | |
| MaxItems | Integer | |
| MaxTextLength | Integer |
Response:string
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: string
Sample request
POST /api/v1/Agents/AI/TrainCategoryGuesser
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"SelectionId": 514,
"MaxItems": 77,
"MaxTextLength": 307
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
"Training completed successfully. Model accuracy: 94.7%. Total training samples: 8,450. Categories trained: Technical Support, Sales Inquiry, Billing Question, Feature Request, General Information."